Salvare tutti i disegni contemporaneamente (saveall)

Il comando SaveAll permetterà di salvare tutti i disegni aperti, senza che venga chiesta una conferma, che in caso di tanti disegni è veramente una perdita di tempo.

(defun C:SAVEALL ()
   (vlax-for doc
      (vla-get-Documents
         (vlax-get-acad-object)
      )
      (if (and (= :vlax-false 
                  (vla-get-saved doc)
                  (vla-get-readonly doc)
               )
          )
         (progn
            (write-line
               (strcat "\nSaving "
                   (vla-get-name doc)
               )
            )
            (vla-save doc)
         )
      )
   )
   (princ)
)
Compago